Tag Parser: TagParser::HrdParameters Struct Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::HrdParameters Struct Reference

The HrdParameters struct holds "Hypothetical Reference Decoder" parameters. More...

`#include <avcinfo.h>`

## Public Member Functions
constexpr | HrdParameters ()
void | parse (CppUtilities::BitReader &reader)
| Parses HRD parameters.

## Public Attributes
ugolomb | cpbCount
std::uint8_t | bitRateScale
std::uint8_t | cpbSizeScale
std::uint8_t | initialCpbRemovalDelayLength
std::uint8_t | cpbRemovalDelayLength
std::uint8_t | cpbOutputDelayLength
std::uint8_t | timeOffsetLength

## Detailed Description

The HrdParameters struct holds "Hypothetical Reference Decoder" parameters.

Remarks
  This is "a model for thinking about the decoding process".

Definition at line 47 of file avcinfo.h.

## Constructor & Destructor Documentation

## ◆ HrdParameters()

TagParser::HrdParameters::HrdParameters | ( |  | ) |
| constexpr

Definition at line 60 of file avcinfo.h.

## Member Function Documentation

## ◆ parse()

void TagParser::HrdParameters::parse | ( | CppUtilities::BitReader & | reader | ) |

Parses HRD parameters.

Definition at line 257 of file avcinfo.cpp.

## Member Data Documentation

## ◆ bitRateScale

std::uint8_t TagParser::HrdParameters::bitRateScale

Definition at line 50 of file avcinfo.h.

## ◆ cpbCount

ugolomb TagParser::HrdParameters::cpbCount

Definition at line 49 of file avcinfo.h.

## ◆ cpbOutputDelayLength

std::uint8_t TagParser::HrdParameters::cpbOutputDelayLength

Definition at line 54 of file avcinfo.h.

## ◆ cpbRemovalDelayLength

std::uint8_t TagParser::HrdParameters::cpbRemovalDelayLength

Definition at line 53 of file avcinfo.h.

## ◆ cpbSizeScale

std::uint8_t TagParser::HrdParameters::cpbSizeScale

Definition at line 51 of file avcinfo.h.

## ◆ initialCpbRemovalDelayLength

std::uint8_t TagParser::HrdParameters::initialCpbRemovalDelayLength

Definition at line 52 of file avcinfo.h.

## ◆ timeOffsetLength

std::uint8_t TagParser::HrdParameters::timeOffsetLength

Definition at line 55 of file avcinfo.h.

The documentation for this struct was generated from the following files:

- avc/avcinfo.h
- avc/avcinfo.cpp